### Function

# Cogl Color init_from_hsl

#### Declaration [src]

    void
    cogl_color_init_from_hsl (
      CoglColor* color,
      float hue,
      float saturation,
      float luminance
    )

#### Description [src]

Converts a color expressed in HLS (hue, luminance and saturation) values into a `CoglColor`.

#### Parameters

`color`

  Type: `CoglColor`

  Return location for a `CoglColor`.

  The argument will be set by the function.
  The returned data is owned by the function.

`hue`

  Type: `float`

  Hue value, in the 0 .. 360 range.

`saturation`

  Type: `float`

  Saturation value, in the 0 .. 1 range.

`luminance`

  Type: `float`

  Luminance value, in the 0 .. 1 range.